## cong-editor-node-element-structural

cong-editor-node-element-structural —

## Synopsis

    #define     CONG_EDITOR_NODE_ELEMENT_STRUCTURAL(obj)
    #define     CONG_EDITOR_NODE_ELEMENT_STRUCTURAL_CLASS(klass)
    #define     IS_CONG_EDITOR_NODE_ELEMENT_STRUCTURAL(obj)
    GType       cong_editor_node_element_structural_get_type
                                                (void);
    CongEditorNodeElementStructural* cong_editor_node_element_structural_construct
                                                (CongEditorNodeElementStructural *editor_node_element_structural,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongEditorNode* cong_editor_node_element_structural_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

## Description

## Details

### CONG_EDITOR_NODE_ELEMENT_STRUCTURAL()

    #define CONG_EDITOR_NODE_ELEMENT_STRUCTURAL(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_NODE_ELEMENT_STRUCTURAL_TYPE, CongEditorNodeElementStructural)

`obj` : |

### CONG_EDITOR_NODE_ELEMENT_STRUCTURAL_CLASS()

    #define CONG_EDITOR_NODE_ELEMENT_STRUCTURAL_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_NODE_ELEMENT_STRUCTURAL_TYPE, CongEditorNodeElementStructuralClass)

`klass` : |

### IS_CONG_EDITOR_NODE_ELEMENT_STRUCTURAL()

    #define IS_CONG_EDITOR_NODE_ELEMENT_STRUCTURAL(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_NODE_ELEMENT_STRUCTURAL_TYPE)

`obj` : |

### cong_editor_node_element_structural_get_type ()

    GType       cong_editor_node_element_structural_get_type
                                                (void);

Returns : |

### cong_editor_node_element_structural_construct ()

    CongEditorNodeElementStructural* cong_editor_node_element_structural_construct
                                                (CongEditorNodeElementStructural *editor_node_element_structural,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`editor_node_element_structural` : |
`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_element_structural_new ()

    CongEditorNode* cong_editor_node_element_structural_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`widget` : |
`traversal_node` : |
Returns : |